VendorExtensionsSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.jdo.VendorExtensionsSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.jdo
Class VendorExtensionsSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.modules.jdo.VendorExtensionsSubTask

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  KodoSubTask, LidoSubTask, TJDOSubTask

public abstract class VendorExtensionsSubTask
extends SubTask

Version:
  $Revision: 1.1 $
Author:
  Ludovic Claude (ludovicc@users.sourceforge.net)
See Also:
  Serialized Form
created
  10 October 2002

Field Summary
`static String` | `COLUMN_NAME_ATTR`
`static String` | `RELATED_FIELD_ATTR`
`static String` | `SQL_FIELD_TAG`
`static String` | `SQL_RELATION_TAG`
`static String` | `SQL_TABLE_TAG`
`static String` | `STYLE_ATTR`
`static String` | `STYLE_FOREIGN_KEY_VALUE`
`static String` | `STYLE_RELATION_TABLE_VALUE`
`static String` | `TABLE_NAME_ATTR`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`VendorExtensionsSubTask()`

Method Summary
`void` | `execute()` Called to start execution of the sub-task.
`protected abstract Collection` | `getArrayExtensions()`
`protected abstract Collection` | `getClassExtensions()`
`protected abstract Collection` | `getCollectionExtensions()`
`xjavadoc.XClass` | `getCurrentClass()` Peeks and return the current class from top of currentClassStack stack.
`xjavadoc.XConstructor` | `getCurrentConstructor()` Returns current constructor.
`xjavadoc.XField` | `getCurrentField()` Returns current field.
`xjavadoc.XMethod` | `getCurrentMethod()` Returns current method.
`xjavadoc.XPackage` | `getCurrentPackage()` Returns current package.
`protected Collection` | `getExtensions(String level)`
`protected abstract Collection` | `getFieldExtensions()`
`protected abstract Collection` | `getMapExtensions()`
`protected JdoXmlMetadataSubTask` | `getMetadataSubTask()`
`abstract String` | `getVendorDescription()`
`abstract String` | `getVendorName()`
`xjavadoc.XClass` | `popCurrentClass()` Popes current class from top currentClassStack stack.
`xjavadoc.XClass` | `pushCurrentClass(xjavadoc.XClass clazz)` Pushes class clazz to top of currentClassStack stack, making it effectively the current class.
`void` | `setCurrentClass(xjavadoc.XClass clazz)` Sets current class to clazz by clearing currentClassStack stack and pushing clazz into top of it.
`void` | `setCurrentConstructor(xjavadoc.XConstructor constructor)` Sets the CurrentConstructor attribute of the DocletSupport object
`void` | `setCurrentField(xjavadoc.XField field)` Sets the CurrentField attribute of the DocletSupport object
`void` | `setCurrentMethod(xjavadoc.XMethod method)` Sets the CurrentMethod attribute of the DocletSupport object
`void` | `setCurrentPackage(xjavadoc.XPackage pakkage)` Returns current package.

Methods inherited from class xdoclet.SubTask
`addConfigParam, copyAttributesFrom, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, init, setDestDir, setMergeDir, setSubTaskName, validateOptions`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClassTag, getCurrentFieldTag, getCurrentMethodTag, getCurrentTag, isDocletGenerated, setCurrentClassTag, setCurrentFieldTag, setCurrentMethodTag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_TABLE_TAG

    public static final String SQL_TABLE_TAG

See Also:
  Constant Field Values

### SQL_FIELD_TAG

    public static final String SQL_FIELD_TAG

See Also:
  Constant Field Values

### TABLE_NAME_ATTR

    public static final String TABLE_NAME_ATTR

See Also:
  Constant Field Values

### COLUMN_NAME_ATTR

    public static final String COLUMN_NAME_ATTR

See Also:
  Constant Field Values

### RELATED_FIELD_ATTR

    public static final String RELATED_FIELD_ATTR

See Also:
  Constant Field Values

### SQL_RELATION_TAG

    public static final String SQL_RELATION_TAG

See Also:
  Constant Field Values

### STYLE_ATTR

    public static final String STYLE_ATTR

See Also:
  Constant Field Values

### STYLE_FOREIGN_KEY_VALUE

    public static final String STYLE_FOREIGN_KEY_VALUE

See Also:
  Constant Field Values

### STYLE_RELATION_TABLE_VALUE

    public static final String STYLE_RELATION_TABLE_VALUE

See Also:
  Constant Field Values

Constructor Detail

### VendorExtensionsSubTask

    public VendorExtensionsSubTask()

Method Detail

### getVendorName

    public abstract String getVendorName()

### getVendorDescription

    public abstract String getVendorDescription()

### getCurrentClass

    public xjavadoc.XClass getCurrentClass()

  Peeks and return the current class from top of currentClassStack stack.

  Overrides:
    `getCurrentClass` in class `DocletSupport`
  Returns:
    The CurrentClass value
  See Also:
    `setCurrentClass(xjavadoc.XClass)`

### getCurrentPackage

    public xjavadoc.XPackage getCurrentPackage()

  Returns current package.

  Overrides:
    `getCurrentPackage` in class `DocletSupport`
  Returns:
    The CurrentPackage value
  See Also:
    `setCurrentPackage(xjavadoc.XPackage)`

### getCurrentMethod

    public xjavadoc.XMethod getCurrentMethod()

  Returns current method.

  Overrides:
    `getCurrentMethod` in class `DocletSupport`
  Returns:
    The CurrentMethod value
  See Also:
    `setCurrentMethod(xjavadoc.XMethod)`

### getCurrentConstructor

    public xjavadoc.XConstructor getCurrentConstructor()

  Returns current constructor.

  Overrides:
    `getCurrentConstructor` in class `DocletSupport`
  Returns:
    The CurrentConstructor value
  See Also:
    `setCurrentConstructor(xjavadoc.XConstructor)`

### getCurrentField

    public xjavadoc.XField getCurrentField()

  Returns current field.

  Overrides:
    `getCurrentField` in class `DocletSupport`
  Returns:
    The CurrentField value
  See Also:
    `setCurrentField(xjavadoc.XField)`

### setCurrentPackage

    public void setCurrentPackage(xjavadoc.XPackage pakkage)

  Returns current package.

  Overrides:
    `setCurrentPackage` in class `DocletSupport`
  Parameters:
    `pakkage` - The new CurrentPackage value
  See Also:
    `setCurrentPackage(xjavadoc.XPackage)`
  ant.element

### setCurrentMethod

    public void setCurrentMethod(xjavadoc.XMethod method)

  Sets the CurrentMethod attribute of the DocletSupport object

  Overrides:
    `setCurrentMethod` in class `DocletSupport`
  Parameters:
    `method` - The new CurrentMethod value
  ant.element

### setCurrentConstructor

    public void setCurrentConstructor(xjavadoc.XConstructor constructor)

  Sets the CurrentConstructor attribute of the DocletSupport object

  Overrides:
    `setCurrentConstructor` in class `DocletSupport`
  Parameters:
    `constructor` - The new CurrentConstructor value
  ant.element

### setCurrentField

    public void setCurrentField(xjavadoc.XField field)

  Sets the CurrentField attribute of the DocletSupport object

  Overrides:
    `setCurrentField` in class `DocletSupport`
  Parameters:
    `field` - The new CurrentField value
  ant.element

### setCurrentClass

    public void setCurrentClass(xjavadoc.XClass clazz)

  Sets current class to clazz by clearing currentClassStack stack and pushing clazz into top of it.

  Overrides:
    `setCurrentClass` in class `DocletSupport`
  Parameters:
    `clazz` - The new CurrentClass value
  See Also:
    `getCurrentClass()`
  ant.element

### pushCurrentClass

    public xjavadoc.XClass pushCurrentClass(xjavadoc.XClass clazz)

  Pushes class clazz to top of currentClassStack stack, making it effectively the current class.

  Overrides:
    `pushCurrentClass` in class `DocletSupport`
  Parameters:
    `clazz` - Description of Parameter
  Returns:
    Description of the Returned Value
  See Also:
    `getCurrentClass()`, `setCurrentClass(xjavadoc.XClass)`, `popCurrentClass()`

### popCurrentClass

    public xjavadoc.XClass popCurrentClass()

  Popes current class from top currentClassStack stack. The poped class is no longer the current class.

  Overrides:
    `popCurrentClass` in class `DocletSupport`
  Returns:
    Description of the Returned Value
  See Also:
    `getCurrentClass()`, `setCurrentClass(xjavadoc.XClass)`, `pushCurrentClass(xjavadoc.XClass)`

### execute

    public void execute()
                 throws XDocletException

  Description copied from class: `SubTask`
  Called to start execution of the sub-task.

  Specified by:
    `execute` in class `SubTask`
  Throws:
    `XDocletException`
  See Also:
    `SubTask.execute()`

### getMetadataSubTask

    protected JdoXmlMetadataSubTask getMetadataSubTask()

### getExtensions

    protected Collection getExtensions(String level)
                                throws XDocletException

  Throws:
    `XDocletException`

### getClassExtensions

    protected abstract Collection getClassExtensions()
                                              throws XDocletException

  Throws:
    `XDocletException`

### getFieldExtensions

    protected abstract Collection getFieldExtensions()
                                              throws XDocletException

  Throws:
    `XDocletException`

### getCollectionExtensions

    protected abstract Collection getCollectionExtensions()
                                                   throws XDocletException

  Throws:
    `XDocletException`

### getArrayExtensions

    protected abstract Collection getArrayExtensions()
                                              throws XDocletException

  Throws:
    `XDocletException`

### getMapExtensions

    protected abstract Collection getMapExtensions()
                                            throws XDocletException

  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD